Linux ip-172-26-7-228 5.4.0-1103-aws #111~18.04.1-Ubuntu SMP Tue May 23 20:04:10 UTC 2023 x86_64
Apache
: 172.26.7.228 | : 3.142.130.127
Cant Read [ /etc/named.conf ]
5.6.40-24+ubuntu18.04.1+deb.sury.org+1
www-data
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
share /
doc /
git /
contrib /
examples /
[ HOME SHELL ]
Name
Size
Permission
Action
README
167
B
-rw-r--r--
builtin-fetch--tool.c
12.75
KB
-rw-r--r--
git-am.sh
23.81
KB
-rw-r--r--
git-checkout.sh
7.44
KB
-rw-r--r--
git-clean.sh
2.21
KB
-rw-r--r--
git-clone.sh
12.41
KB
-rw-r--r--
git-commit.sh
14.05
KB
-rw-r--r--
git-difftool.perl
12.46
KB
-rw-r--r--
git-fetch.sh
8.9
KB
-rw-r--r--
git-gc.sh
594
B
-rw-r--r--
git-log.sh
372
B
-rw-r--r--
git-ls-remote.sh
2.49
KB
-rw-r--r--
git-merge-ours.sh
338
B
-rw-r--r--
git-merge.sh
14.09
KB
-rw-r--r--
git-notes.sh
2.65
KB
-rw-r--r--
git-pull.sh
10.25
KB
-rw-r--r--
git-remote.perl
10.14
KB
-rw-r--r--
git-repack.sh
4.88
KB
-rw-r--r--
git-rerere.perl
6.05
KB
-rw-r--r--
git-reset.sh
2.25
KB
-rw-r--r--
git-resolve.sh
2.66
KB
-rw-r--r--
git-revert.sh
4.59
KB
-rw-r--r--
git-svnimport.perl
24.39
KB
-rw-r--r--
git-svnimport.txt
5.26
KB
-rw-r--r--
git-tag.sh
3.93
KB
-rw-r--r--
git-verify-tag.sh
749
B
-rw-r--r--
git-whatchanged.sh
924
B
-rw-r--r--
Delete
Unzip
Zip
${this.title}
Close
Code Editor : git-resolve.sh
#!/bin/sh # # Copyright (c) 2005 Linus Torvalds # # Resolve two trees. # echo 'WARNING: This command is DEPRECATED and will be removed very soon.' >&2 echo 'WARNING: Please use git-merge or git-pull instead.' >&2 sleep 2 USAGE='<head> <remote> <merge-message>' . git-sh-setup dropheads() { rm -f -- "$GIT_DIR/MERGE_HEAD" \ "$GIT_DIR/LAST_MERGE" || exit 1 } head=$(git rev-parse --verify "$1"^0) && merge=$(git rev-parse --verify "$2"^0) && merge_name="$2" && merge_msg="$3" || usage # # The remote name is just used for the message, # but we do want it. # if [ -z "$head" -o -z "$merge" -o -z "$merge_msg" ]; then usage fi dropheads echo $head > "$GIT_DIR"/ORIG_HEAD echo $merge > "$GIT_DIR"/LAST_MERGE common=$(git merge-base $head $merge) if [ -z "$common" ]; then die "Unable to find common commit between" $merge $head fi case "$common" in "$merge") echo "Already up to date. Yeeah!" dropheads exit 0 ;; "$head") echo "Updating $(git rev-parse --short $head)..$(git rev-parse --short $merge)" git read-tree -u -m $head $merge || exit 1 git update-ref -m "resolve $merge_name: Fast-forward" \ HEAD "$merge" "$head" git diff-tree -p $head $merge | git apply --stat dropheads exit 0 ;; esac # We are going to make a new commit. git var GIT_COMMITTER_IDENT >/dev/null || exit # Find an optimum merge base if there are more than one candidates. LF=' ' common=$(git merge-base -a $head $merge) case "$common" in ?*"$LF"?*) echo "Trying to find the optimum merge base." G=.tmp-index$$ best= best_cnt=-1 for c in $common do rm -f $G GIT_INDEX_FILE=$G git read-tree -m $c $head $merge \ 2>/dev/null || continue # Count the paths that are unmerged. cnt=$(GIT_INDEX_FILE=$G git ls-files --unmerged | wc -l) if test $best_cnt -le 0 || test $cnt -le $best_cnt then best=$c best_cnt=$cnt if test "$best_cnt" -eq 0 then # Cannot do any better than all trivial merge. break fi fi done rm -f $G common="$best" esac echo "Trying to merge $merge into $head using $common." git update-index --refresh 2>/dev/null git read-tree -u -m $common $head $merge || exit 1 result_tree=$(git write-tree 2> /dev/null) if [ $? -ne 0 ]; then echo "Simple merge failed, trying Automatic merge" git-merge-index -o git-merge-one-file -a if [ $? -ne 0 ]; then echo $merge > "$GIT_DIR"/MERGE_HEAD die "Automatic merge failed, fix up by hand" fi result_tree=$(git write-tree) || exit 1 fi result_commit=$(echo "$merge_msg" | git commit-tree $result_tree -p $head -p $merge) echo "Committed merge $result_commit" git update-ref -m "resolve $merge_name: In-index merge" \ HEAD "$result_commit" "$head" git diff-tree -p $head $result_commit | git apply --stat dropheads
Close